Package pygccxml :: Package parser :: Module declarations_cache :: Class dummy_cache_t

# type dummy_cache_t

source code

      object --+
               |
    cache_base_t --+
                   |
                  dummy_cache_t

Instance Methods

__init__(self) | source code

flush(self) Flush (write out) the cache to disk if needed. | source code

update(self, source_file, configuration, declarations, included_files) Update cache entry. | source code

cached_value(self, source_file, configuration) Return declarations we have cached for the source_file and configuration given. | source code

Class Variables
Inherited from `cache_base_t`: `logger`

Method Details

### __init__(self)
(Constructor)

source code

Overrides: cache_base_t.__init__

### flush(self)

source code

Flush (write out) the cache to disk if needed.

Overrides: cache_base_t.flush
  (inherited documentation)

### update(self, source_file, configuration, declarations, included_files)

source code

Update cache entry.

Parameters:
  - `source_file` - path to the C++ source file being parsed
  - `configuration` - configuration used in parsing (config_t)
  - `declarations` - declaration tree found when parsing
  - `included_files` - files included by parsing.
Overrides: cache_base_t.update
  (inherited documentation)

### cached_value(self, source_file, configuration)

source code

    Return declarations we have cached for the source_file and configuration
        given.
    @param source_file: path to the C++ source file being parsed.
    @param configuration: configuration to use for parsing (config_t)

Overrides: cache_base_t.cached_value
  (inherited documentation)